#ifndef MAINDIALOGIMPL_H
#define MAINDIALOGIMPL_H
#include "maindialog.h"

#include "frontend.h"
#include <qlabel.h>
#include <qtextview.h>
#include <qmainwindow.h>

#include "commandThread.h"

#include "lcd.h"



class maindialogImpl : public maindialogBase //, public QMainWindow
{ 
    Q_OBJECT

public:
    maindialogImpl( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~maindialogImpl();

public slots:
    void play_click();
	 void updateInfo_click();
    void previous_click();
    void next_click();
    void stop_click();
    void volume_changed(int value);
private:
	WinampCmd * _winCMD;
	CommandThread * _thTitre;
	SerialCOM * _portCom;

};

#endif // MAINDIALOGIMPL_H
