#include "mediaPlayer.h"

//---------------------------------------------------------------------------
// Constructeur / Destructeur
//---------------------------------------------------------------------------
MediaPlayer::MediaPlayer(void)
{
	getMediaPlayer();
	
}


// recupere Mediaplayer
void
MediaPlayer::getMediaPlayer(void) {
	// Nouveau Media Player
	_hwnd = FindWindow("WMPlayerApp", NULL);
	_version = 1;

	// Ancien MediaPlayer
	/*if (_hwnd == NULL)  {
		_version = 2;
		_hwnd = FindWindow("Media Player 2", NULL); 
	} */
	
	if (_hwnd==NULL) _version = -1; 
		//perror("Erreur introuvable");
}


//  Destroys the object and frees any allocated resources
MediaPlayer::~MediaPlayer()
{

}

//---------------------------------------------------------------------------
int 
MediaPlayer::MediaPlayerFound(void)
{
	if (_hwnd == NULL) return 0;
	else return 1;
}


void
MediaPlayer::getTitle(QString & str) {
	char this_title[1024]; //, *p;
//
	if (_version==2) {
		GetWindowText(_hwnd, this_title, 1024);//sizeof(this_title));
		// "Les_rois_mages.avi - Lecteur Windows Media"
		str = QString(this_title);
		str.replace(QRegExp(" - Lecteur Windows Media"), "" );           
		str.replace(QRegExp(".avi"), "" );           
		str.replace(QRegExp(".mpg"), "" );           
		str.replace(QRegExp(".mp3"), "" );           
		str.replace(QRegExp(".wma"), "" );           
	}	
}

// Play/Pause
void 
MediaPlayer::cmdPlay(void){
//	98344 : CTRL+P PAUSE/Play
//	68740 : ESPACE play/Pause
	if (_version == 1) SendMessage(_hwnd, WM_COMMAND, 98344,0);	
	else if (_version ==2) SendMessage(_hwnd, WM_COMMAND, 68740,0);
}

void 
MediaPlayer::cmdPrevious() {
// 98346 : CTRL+B Previous
	if (_version == 1) SendMessage(_hwnd, WM_COMMAND, 98346,0);	
}

void 
MediaPlayer::cmdNext() {
// 98347 : CTRL+F Next
	if (_version == 1) SendMessage(_hwnd, WM_COMMAND, 98347,0);	
}

void 
MediaPlayer::cmdStop() {
//	98345 : CTRL+S STOP
//	66538 : Point : STOP
	if (_version == 1) SendMessage(_hwnd, WM_COMMAND, 98345,0);	
	else if (_version ==2) SendMessage(_hwnd, WM_COMMAND, 66538,0);
}

void 
MediaPlayer::cmdIncVolume(void) {
//	98351 : F10 VOL+
//	68749 : Flech haut Vol+
	if (_version == 1) SendMessage(_hwnd, WM_COMMAND, 98351,0);	
	else if (_version ==2) SendMessage(_hwnd, WM_COMMAND, 68749,0);
}

void 
MediaPlayer::cmdDecVolume(void) {
//	98352 : F9  VOL-
//	68750 : Flech bas  Vol-
	if (_version == 1) SendMessage(_hwnd, WM_COMMAND, 98352,0);	
	else if (_version ==2) SendMessage(_hwnd, WM_COMMAND, 68750,0);
}

void 
MediaPlayer::cmdMuteVolume(void) {
//	98353 : F8 Muet
//	68751 : Ctrl+M mute
	if (_version == 1) SendMessage(_hwnd, WM_COMMAND, 98353,0);	
	else if (_version ==2) SendMessage(_hwnd, WM_COMMAND, 68751,0);
}


void 
MediaPlayer::cmdFullScreen(void) {
//	98318 : Alt+Entree FullScreen
//	68739 : Alt+Entree FullScreen
	if (_version == 1) SendMessage(_hwnd, WM_COMMAND, 98318,0);	
	else if (_version ==2) SendMessage(_hwnd, WM_COMMAND, 68739,0);
}
